﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="EventUserEdit.aspx.cs" Inherits="EventUserEdit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">

<div style="margin: 10px;">
    <asp:Label runat="server" ID="lblInfo"/>
</div>

<asp:Panel runat="server" Id="plEditor">
    <table style="vertical-align: top">
        <tr>
            <td class="FieldLabel">
                <asp:Label Text="Full Name" runat="server" ID="lblName" AssociatedControlID="txtName" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtName" runat="server" CssClass="TextBoxField" MaxLength="100" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <asp:Label Text="Email" runat="server" ID="lblEmail" AssociatedControlID="txtEmail" EnableViewState="false"
                    ResourceString="general.email" DisplayColon="true" />
            </td>
            <td>
                <asp:TextBox ID="txtEmail" runat="server" CssClass="TextBoxField" MaxLength="250" />
                <asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail"
                    EnableViewState="false" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <asp:Label Text="Event" runat="server" AssociatedControlID="drpEvent" ID="lblEvent" EnableViewState="false" />
            </td>
            <td>
                <asp:DropDownList ID="drpEvent" runat="server" CssClass="TextBoxField" MaxLength="50" />&nbsp;
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <asp:Label Text="Notify external system immediately" runat="server" AssociatedControlID="drpEvent" ID="lblRealUpdate" EnableViewState="false" />
            </td>
            <td>
                <asp:CheckBox runat="server" ID="chckRealUpdate" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:Button Text="Submit" runat="server" ID="btnSubmit" EnableViewState="false" CssClass="SubmitButton"
                    OnClick="btnSubmit_Click" />
                <asp:Button Text="Delete" runat="server" ID="btnDelete" EnableViewState="false" CssClass="SubmitButton"
                    OnClick="btnDelete_Click" />
            </td>
        </tr>
    </table>
</asp:Panel>
</asp:Content>


