using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Data;
using System.Data.SqlClient;
using System.Xml.Linq;
using System.Globalization;

using CMS.SettingsProvider;
using CMS.Synchronization;
using CMS.GlobalHelper;
using CMS.EventLog;
using CMS.SiteProvider;
using CMS.CMSHelper;

/// <summary>
/// Empty web service template.
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class MyWebService : System.Web.Services.WebService
{
    /// <summary>
    /// Constructor.
    /// </summary>
    public MyWebService()
    {
        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }
        

    [System.Web.Services.WebMethod]
    [System.Web.Script.Services.ScriptMethod]
    public void ProcessTask(object data, TaskTypeEnum taskType, string userName, string password)
    {
        // Check user name and password
        if (userName == MyIntegrationConnectorHelper.WebServiceUserName && password == MyIntegrationConnectorHelper.WebServicePassword)
        {
            // Log/Process task                        
            if (data != null)
            {
                IntegrationHelper.ProcessExternalTask("MyIntegrationConnector", data, IntegrationProcessTypeEnum.Default, taskType, CMS.Synchronization.TaskDataTypeEnum.SimpleSnapshot, null);
            }
        }
        else
        {
            // You can log such event into event log :)
            return;
        }
    }
}
